Community
cancel
Showing results for 
Search instead for 
Did you mean: 
BBi
Beginner
384 Views

compile samples issues

Dear, 

        when i compile openvino samples, something wrong occured here as below info. And after i recompile upgraded glibc and install it, "illegal instruction" came out. 

        what is the reason and how to solve this?

[ 33%] Linking CXX executable ../aarch64/Release/hello_classification
[ 36%] Linking CXX executable ../aarch64/Release/hello_nv12_input_classification
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `std::thread::_State::~_State()@GLIBCXX_3.4.22'
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `__cxa_init_primary_exception@CXXABI_1.3.11'
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `logf@GLIBC_2.27'
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `typeinfo for std::thread::_State@GLIBCXX_3.4.22'
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `std::thread::_M_start_thread(std::unique_ptr<std::thread::_State, std::default_delete<std::thread::_State> >, void (*)())@GLIBCXX_3.4.22'
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `powf@GLIBC_2.27'
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `expf@GLIBC_2.27'
/develop/openvino/deployment_tools/inference_engine/lib/aarch64/libinference_engine.so: undefined reference to `std::__exception_ptr::exception_ptr::exception_ptr(void*)@CXXABI_1.3.11'
collect2: error: ld returned 1 exit status
hello_nv12_input_classification/CMakeFiles/hello_nv12_input_classification.dir/build.make:107: recipe for target 'aarch64/Release/hello_nv12_input_classification' failed
make[2]: *** [aarch64/Release/hello_nv12_input_classification] Error 1
CMakeFiles/Makefile2:497: recipe for target 'hello_nv12_input_classification/CMakeFiles/hello_nv12_input_classification.dir/all' failed
make[1]: *** [hello_nv12_input_classification/CMakeFiles/hello_nv12_input_classification.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....

root@EN104:/develop/openvino/deployment_tools/inference_engine/samples/cpp# strings /lib/aarch64-linux-gnu/libc.so.6 | grep GLIBC_
GLIBC_2.17
GLIBC_2.18
GLIBC_2.22
GLIBC_2.23
GLIBC_PRIVATE

system info:  aarch64, ubuntu16.04

0 Kudos
3 Replies
Iffa_Intel
Moderator
384 Views

Greetings,

I can see that there are several versions of glib involved.

This might revoke the conflict.

Can you try to uninstall all of them then install only one compatible glib and try to compile again?.

Please help to check your glib version afterwards 

Hope my answer helps!

Sincerely,

Iffa

BBi
Beginner
384 Views

Dear Iffa,

        tks for your reply!

         "uninstall one of the glib", Did you mean uninstall glibc 3.4.22 or 2.27?  and last time, i recompile upgraded glibc(2.27) and install it, then "illegal instruction" came out by using many cmd like "ls"

on my machine, however, GLIBC_2.23 is the highest version as below---

root@EN104:/develop/openvino/deployment_tools/inference_engine/samples/cpp# strings /lib/aarch64-linux-gnu/libc.so.6 | grep GLIBC_
GLIBC_2.17
GLIBC_2.18
GLIBC_2.22
GLIBC_2.23
GLIBC_PRIVATE

Iffa_Intel
Moderator
384 Views

Hi,

Please help to ensure only one version of glibc left, if you are planning on using the version 2.23 make sure only that version left in your system.

Sometimes if you have more than one version, your system will have conflict in deciding which one it should use and thus, causing issues as you are having now.

 

Sincerely,

Iffa

 

Reply